Subject: bug#47060: mouse-1-click-follows-link double broken by 3d5e31eceb9dc1fb62b2b27bcab549df3bd04ce9

From: Jimmy Yuen Ho Wong <[email-masked]>
Date: Fri, 12 Mar 2021 07:44:34 +0000

This patch now results in this error whenever I left click on the NS 
port. The mouse is now completely broken.

Debugger entered--Lisp error: (error "Two bases given in one event")
   event-convert-list((down click mouse-1))
   mouse--click-1-maybe-follows-link(nil)

Jimmy

On 12/03/2021 4:10 AM, Eyal Soha wrote:
> I tested it using the same procedure as before on feature/native-comp
> branch and it works.  Thanks!
>
> Eyal
>
>
> On Thu, Mar 11, 2021 at 10:14 AM Stefan Monnier
> <[email-masked]> wrote:
>>>> The patch below should fix it.
>>>> I think this patch should go to `emacs-27`.  Eli any objection?
>>> No, please go ahead, and thanks.
>> Thanks, pushed,
>>
>>
>>          Stefan
>>
>
>